Bug 1138687 - (CVE-2019-6471) VUL-0: CVE-2019-6471: bind: reachable assert in dispatch.c
(CVE-2019-6471)
VUL-0: CVE-2019-6471: bind: reachable assert in dispatch.c
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/235409/
CVSSv3:SUSE:CVE-2019-6471:5.9:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-19 10:05 UTC by Robert Frohl
Modified: 2020-06-15 17:32 UTC (History)
7 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-06-19 10:05:16 UTC
To the packagers and redistributors of BIND 9:

ISC would like to make you aware of an upcoming security disclosure,
scheduled for June 19, 2019, covering a single BIND vulnerability.
Please consider this information confidential and under embargo until
ISC publicly announces the vulnerabilities on the disclosure date.

This vulnerability has been assigned the CVE identifier CVE-2019-6471
("A race condition when discarding malformed packets can cause BIND to
exit with an assertion failure.")

Please note that in a departure from our usual practice, ISC has not
prepared full source distributions which contain ONLY the fix for
CVE-2019-6471.  The timing of this vulnerability disclosure occurs when
we were already planning to issue maintenance releases containing other
bug fixes and feature improvements.  Links to these releases, which
ALSO contain the CVE-2019-6471 fix, are below.  Packagers who want ONLY
the CVE fix can find, in each of the release directories below, a
"patches" subdirectory which contains a patch diff for only the
CVE-2019-6471 fix; it can be applied to the preceding stable release
in the branch using the patch utility if a packager elects not to
adopt the other fixes in the maintenance releases.

Also, the 9.12 branch was designated "End of Life" a short time ago but
we have produced a replacement release (and a patch diff) for those
distributing products based on the EOL branch.  We reserve the right
to stop patching the EOL branch at any time, however (that's what EOL
means!) so please, if you are distributing packages based on 9.12,
make plans to transition to either the newest stable branch (9.14)
or the current Extended Support Version (ESV) branch (9.11).

currently supported branches:

  9.11.8:     https://ftp.isc.org/isc/bind9/private/67b856b6e5cbe4ff
  9.14.3:     https://ftp.isc.org/isc/bind9/private/61f30afc2108cdc2

experimental development branch:

  9.15.1:     https://ftp.isc.org/isc/bind9/private/1f7f1b74eb01c7b5

end-of-Life (EOL) public branch:

  9.12.4-P2:  https://ftp.isc.org/isc/bind9/private/05e241b9c6b3db75

If you have questions, please address them by sending mail (preferably
PGP-encrypted) to security-officer@isc.org

Thank you,

Michael McNally
(for ISC Security Officer)


----------

CVE:                 CVE-2019-6471
Document version:    1.0
Posting date:        19 June 2019
Program impacted:    BIND
Versions affected:   BIND 9.11.0 -> 9.11.7, 9.12.0 -> 9.12.4-P1,
                     9.14.0 -> 9.14.2. Also all releases of the BIND 9.13
                     development branch and version 9.15.0 of the BIND 9.15
                     development branch. BIND Supported Preview Edition
                     versions 9.11.3-S1 -> 9.11.7-S1.
Severity:            Medium
Exploitable:         Remotely

Description:

   A race condition which may occur when discarding malformed packets
   can result in BIND exiting due to a REQUIRE assertion failure
   in dispatch.c.

Impact:

   An attacker who can cause a resolver to perform queries which
   will be answered by a server which responds with deliberately
   malformed answers can cause named to exit, denying service to
   clients.

CVSS Score:          5.9
CVSS Vector:         CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

For more information on the Common Vulnerability Scoring System and
to obtain your specific environmental score please visit:
https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H.

Workarounds:

   None.

Active exploits:

   None known.

Solution:

   Upgrade to the patched release most closely related to your current
version of BIND:

   +  BIND 9.11.8
   +  BIND 9.12.4-P2
   +  BIND 9.14.3
   +  BIND 9.15.1

   BIND Supported Preview Edition is a special feature preview
   branch of BIND provided to eligible ISC support customers.

   +  BIND 9.11.8-S1

Document revision history:

   1.0 Early Notification, 12 June 2019

Related documents:

   See our BIND 9 Security Vulnerability Matrix for a complete
   listing of security vulnerabilities and versions affected.

Do you still have questions? Questions regarding this advisory
should go to security-officer@isc.org. To report a new issue, please
encrypt your message using security-officer@isc.org's PGP key which
can be found here:
   https://www.isc.org/downloads/software-support-policy/openpgp-key/
If you are unable to use encrypted email, you may also report new
issues at: https://www.isc.org/community/report-bug/.

Note:

   ISC patches only currently supported versions. When possible we
   indicate EOL versions affected. (For current information on which
   versions are actively supported, please see
   https://www.isc.org/downloads/.);

ISC Security Vulnerability Disclosure Policy:

   Details of our current security advisory policy and practice can
   be found in the ISC Software Defect and Security Vulnerability
   Disclosure Policy.

Legal Disclaimer:

   Internet Systems Consortium (ISC) is providing this notice on
   an "AS IS" basis. No warranty or guarantee of any kind is expressed
   in this notice and none should be implied. ISC expressly excludes
   and disclaims any warranties regarding this notice or materials
   referred to in this notice, including, without limitation, any
   implied warranty of merchantability, fitness for a particular
   purpose, absence of hidden defects, or of non-infringement. Your
   use or reliance on this notice or materials referred to in this
   notice is at your own risk. ISC may change this notice at any
   time. A stand-alone copy or paraphrase of the text of this
   document that omits the document URL is an uncontrolled copy.
   Uncontrolled copies may lack important information, be out of
   date, or contain factual errors.
Comment 5 Robert Frohl 2019-08-30 08:04:33 UTC
patch:
https://ftp.isc.org/isc/bind9/private/67b856b6e5cbe4ff/patches/CVE-2019-6471

affects only these codestreams:
- SUSE:SLE-12-SP4:Update
- SUSE:SLE-15:Update 

In older codestreams the code is not present.
Comment 12 Swamp Workflow Management 2019-10-01 16:21:23 UTC
SUSE-SU-2019:2502-1: An update that solves 5 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1104129,1118367,1118368,1126068,1126069,1128220,1133185,1138687
CVE References: CVE-2018-5740,CVE-2018-5743,CVE-2018-5745,CVE-2019-6465,CVE-2019-6471
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    bind-9.11.2-3.10.1
SUSE Linux Enterprise Server 12-SP4 (src):    bind-9.11.2-3.10.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    bind-9.11.2-3.10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Navin Kukreja 2019-10-04 12:20:37 UTC
FIXED
Comment 14 Marcus Meissner 2019-10-04 12:30:28 UTC
dont close security bugs yourself, reassign to security-team once done.
Comment 15 Swamp Workflow Management 2019-10-04 16:15:53 UTC
SUSE-SU-2019:2550-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (important)
Bug References: 1118367,1118368,1138687
CVE References: CVE-2019-6471
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    bind-9.11.2-12.13.2
SUSE Linux Enterprise Module for Server Applications 15 (src):    bind-9.11.2-12.13.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    bind-9.11.2-12.13.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    bind-9.11.2-12.13.2
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    bind-9.11.2-12.13.2
SUSE Linux Enterprise Module for Basesystem 15 (src):    bind-9.11.2-12.13.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2019-10-06 13:16:20 UTC
openSUSE-SU-2019:2265-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (important)
Bug References: 1118367,1118368,1138687
CVE References: CVE-2019-6471
Sources used:
openSUSE Leap 15.1 (src):    bind-9.11.2-lp151.11.6.1
Comment 17 Swamp Workflow Management 2019-10-06 13:22:22 UTC
openSUSE-SU-2019:2263-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (important)
Bug References: 1118367,1118368,1138687
CVE References: CVE-2019-6471
Sources used:
openSUSE Leap 15.0 (src):    bind-9.11.2-lp150.8.16.1
Comment 18 Alexandros Toptsoglou 2020-01-15 15:37:54 UTC
all done. Closing